The OneCloud Oracle Profitability & Cost Management Cloud Service (PCMCS) BizApp is a point & click solution to easily connect and automate Oracle PCMCS with an array of cloud and on-premise technologies. OneCloud offers Oracle PCMCS application-specific functions that include commands for interacting with POV and dimension data, templates, and a variety of administrative functions to manage the loading and downloading of files, running business rules and data manager jobs, and bi-directionally convert Oracle PCMCS’ native Oracle Cloud EPM format (aka “SUI” format) to standard CSV. When combined with other technologies that OneCloud supports, the possibilities become endless and truly enable a scalable, maintainable, and auditable approach to automate your enterprise.

Connection Setup

OneCloud connects to Oracle PCMCS via the published REST API and does not require anything specialized except connectivity to the services. To automate functionality within a PCMCS environment from OneCloud, navigate to the Connection manager to create a Connection. From here, choose Oracle PCMCS from the service drop-down, select the appropriate Runner, and use the Oracle PCMCS Connection Parameters to complete the setup.

Connection Example

Please substitute your own values.

💡 Remember to activate the Connection for the desired Environments.

📓 As of 04/17/2021 release, the BizApp has been updated to support Oracle's movement to Gen 2 Oracle Cloud Infrastructure. Additional data-centers have been added that only support this new mechanism.

Gen1 Example:
-- https://<SERVICE_NAME>-<TENANT_NAME>.<SERVICE_TYPE>.<DC>.oraclecloud.com/
-- https://epm-test-exampleDomain.epm.dataCenter.oraclecloud.com/

Gen2 Example:
-- https://<SERVICE_NAME>-<TENANT_NAME>.<SERVICE_TYPE>.<DC>.oraclecloud.com/
-- https://epm-test-exampleDomain.epm.dataCenter.ocs.oraclecloud.com/

📓 Information related to these fields can be found in the URL of a Connection. Further information can be found in the Oracle EPM Cloud documentation.

⚠️ This BizApp requires the installation of a Java runtime. For best system compatibility please install Java 8.

Did this answer your question?